import {
    Pipe,
    PipeTransform
} from '@angular/core';


@Pipe({
    name: 'tohms'
})
export class ToHMSPipe implements PipeTransform {

    transform(offset: number, format: string): string {
        let secs = offset >> 0;
        let seconds = secs % 60;
        let mins = (secs - seconds) / 60 >> 0;
        let minutes = mins % 60;
        let hours = (mins - minutes) / 60 >> 0;

        let s = seconds.toString().padStart(2, '0');
        let m = minutes.toString().padStart(2, '0');
        let h = hours.toString().padStart(2, '0');

        if (format == 'colons') {
            return `${h}:${m}:${s}`;
        } else if (format == 'spaces') {
            return `${h}h ${m}m ${s}s`;
        }

        return `${h}h${m}m${s}s`;
    }
}
